Sync Error (General Error)

maplelake
maplelake Member
I’m unable to sync; continue to receive this general error on my Mac, Quicken version 17
…when I attempt to contact support through quicken link I get an ‘outdated’ certificate caution.
Help.

Answers

  • Quicken Jasmine
    Quicken Jasmine Moderator mod
    Hello @maplelake

    Thank you for reaching out to the Quicken Community, though I do apologize that you are experiencing these issues. 

    If you don’t mind, could you please provide a screenshot of the sync error message and the outdated certificate caution? If needed, please refer to this Community FAQ for instructions on how to attach a screenshot. Alternatively, you can also drag and drop screenshots to your response if you are not given the option to add attachments.  


    I look forward to your response. 

    -Quicken Jasmine